This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 241225 - use of the Intel development driver gives odd rhgb output
use of the Intel development driver gives odd rhgb output
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-i810 (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Adam Jackson
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-24 10:23 EDT by Jeff Guerdat
Modified: 2009-05-19 15:31 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-19 15:31:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
xorg.conf using Intel driver (3.23 KB, application/x-extension-conf)
2007-05-24 10:23 EDT, Jeff Guerdat
no flags Details
log using Intel driver (42.31 KB, text/plain)
2007-05-31 06:50 EDT, Jeff Guerdat
no flags Details
X setup log (1.65 KB, text/plain)
2007-05-31 06:51 EDT, Jeff Guerdat
no flags Details

  None (edit)
Description Jeff Guerdat 2007-05-24 10:23:19 EDT
Description of problem:
Using the Intel video driver on my Toshiba Satellite A105 (915GM video) the
graphic screen during boot is blank (blue background only with mouse cursor). 
Additionally, if something causes the display to show a failure, the text is at
least 128 point.  Once the user interface starts, all is well.

Use of the i810 driver works fine.

Version-Release number of selected component (if applicable):


How reproducible:
Every time

Steps to Reproduce:
1.Use Intel driver in xorg.conf
2.Boot
3.
  
Actual results:
Blank graphic screen with huge text if details are displayed

Expected results:
Normal rhgb screen with normal-sized text

Additional info:

grub.conf:

# grub.conf generated by anaconda
#
# Note that you do not have to rerun grub after making changes to this file
# NOTICE:  You do not have a /boot partition.  This means that
#          all kernel and initrd paths are relative to /, eg.
#          root (hd0,1)
#          kernel /boot/vmlinuz-version ro root=/dev/sda2
#          initrd /boot/initrd-version.img
#boot=/dev/sda
default=0
timeout=5
splashimage=(hd0,1)/boot/grub/splash.xpm.gz
hiddenmenu
title Fedora (2.6.21-1.3189.fc7)
        root (hd0,1)
        kernel /boot/vmlinuz-2.6.21-1.3189.fc7 ro root=LABEL=/ rhgb quiet
vga=0x317
video=intelfb:vram:2,xres:1024,yres=768,bpp:24,hsync1:30,hsync2:49,vsync1:40,vsync2:70,accel,mtrr
pci=assign-busses pci=routeirq
        initrd /boot/initrd-2.6.21-1.3189.fc7.img
title Fedora (2.6.21-1.3175.fc7)
        root (hd0,1)
        kernel /boot/vmlinuz-2.6.21-1.3175.fc7 ro root=LABEL=/ rhgb quiet
vga=0x317
video=intelfb:vram:2,xres:1024,yres=768,bpp:24,hsync1:30,hsync2:49,vsync1:40,vsync2:70,accel,mtrr
pci=assign-busses pci=routeirq
        initrd /boot/initrd-2.6.21-1.3175.fc7.img
title XP
        rootnoverify (hd0,0)
        chainloader +1
Comment 1 Jeff Guerdat 2007-05-24 10:23:19 EDT
Created attachment 155351 [details]
xorg.conf using Intel driver
Comment 2 Matěj Cepl 2007-05-30 19:57:11 EDT
Could we get /var/log/Xorg.*.log as well?
Comment 3 Jeff Guerdat 2007-05-31 06:50:49 EDT
Created attachment 155789 [details]
log using Intel driver

This log is from a boot using the Intel driver which results in only a blue
graphics screen (with pointer) but no display.	If text is displayed, as with
the network taking time to get its address, the font is huge (the "Hide
Details" link takes about 2/3 of the screen horizontally).
Comment 4 Jeff Guerdat 2007-05-31 06:51:56 EDT
Created attachment 155791 [details]
X setup log
Comment 5 Jeff Guerdat 2007-05-31 06:55:31 EDT
Provided Xorg.0.log and Xorg.setup.log, as requested.  Anything else?
Comment 6 Jesse Barnes 2008-01-10 17:38:31 EST
I don't know about the details of rhgb, but if the regular X session is 
working correctly, maybe something is wrong with just the boot splash stuff.
Comment 7 Bug Zapper 2008-05-13 22:56:02 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Adam Jackson 2009-05-19 15:31:53 EDT
rhgb is dead dead dead.

Note You need to log in before you can comment on or make changes to this bug.